package roads;

import java.util.ArrayList;
import java.util.Random;
import org.jgrapht.Graph;
import org.jgrapht.graph.DefaultDirectedGraph;
import org.jgrapht.graph.DefaultEdge;


public class State 
{

	public Location[] locations;
	public int n;
	public Location supply;
	public Location dispatch;
	public String name;
	public  Graph<Location, Street> graph;
	public ArrayList<String> parameters;
	
	
	public String edgeConst(Location a,Location b)
	{
		return ""+a.label+"to"+b.label;
	}
	
	//---------------------------------------------------------------

	public String probEdgeConst(Location a,Location b)
	{
		return "prob"+a.label+b.label;
	}
	
	//---------------------------------------------------------------
	public State(int n)
	{
		if(n <= 0) n=1;
		this.n=n;
		//this.prob = initialise(this.n,0.0);
		
		//this.cost = initialise(this.n,0.0);
		this.locations = new Location[n];
		//this.initialiseAdjList();
		this.name = "city";	
		this.parameters = new ArrayList<String>();
	}
	
}
