package roads;


import java.util.Random;

import org.jgrapht.graph.DefaultWeightedEdge;

public class Street extends DefaultWeightedEdge
{
	public String label;
	double probability;
	
	public Location getTarget()
	{
		
		return (Location) super.getTarget();		
	}
	
	public Location getSource()
	{
		
		return (Location) super.getSource();		
	}
	
	
	public double getWeight()
	{
		return super.getWeight();
	}
	public double getProbability()
	{
		return this.probability;
		
	}
	
	
	public Street()
	{		

		double rangeMin = 0.95;
		double rangeMax = 0.99;
		Random r = new Random();
		double randomValue = rangeMin + (rangeMax - rangeMin) * r.nextDouble();
		
				
		this.probability = randomValue;
		
	}
	
	public Street(double probability)
	{
		this.probability = probability;
		
	}

}
